            #GIT_CMT=3a5a1d42cef76e0fc77d47ce87852efe11afa5e0
%global flavor ora

Name:     libpcap
Epoch:    14
Version:  1.9.0
Release:  1.0.4%{?dist}%{?flavor}
Summary:  A system-independent interface for user-level packet capture (Oracle Extensions)
Group:    Development/Libraries
License:  BSD with advertising
URL:      http://www.tcpdump.org

BuildRequires: bison
BuildRequires: bluez-libs-devel
BuildRequires: flex
BuildRequires: gcc
BuildRequires: glibc-kernheaders >= 2.2.0
BuildRequires: libibverbs-devel >= 5:17-1.1.0.5

Source: libpcap-1.9.0.tar.bz2

%description
Libpcap provides a portable framework for low-level network
monitoring.  Libpcap can provide network statistics collection,
security monitoring and network debugging.  Since almost every system
vendor provides a different interface for packet capture, the libpcap
authors created this system-independent API to ease in porting and to
alleviate the need for several system-dependent packet capture modules
in each application.

Install libpcap if you need to do low-level network traffic monitoring
on your network.

Compiled against libibverbs with Oracle Extensions and intended for use on
Oracle Linux systems running the Oracle Database Virtual OS layer.

%package devel
Summary: Libraries and header files for the libpcap library (Oracle Extensions)
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}

%description devel
Libpcap provides a portable framework for low-level network
monitoring.  Libpcap can provide network statistics collection,
security monitoring and network debugging.  Since almost every system
vendor provides a different interface for packet capture, the libpcap
authors created this system-independent API to ease in porting and to
alleviate the need for several system-dependent packet capture modules
in each application.

This package provides the libraries, include files, and other
resources needed for developing libpcap applications.

For use on Oracle Linux systems running the Oracle Database Virtual OS
Compiled against libibverbs with Oracle Extensions and intended for use on


%prep
%setup -q -n %{name}-%{version}

#sparc needs -fPIC
%ifarch %{sparc}
sed -i -e 's|-fpic|-fPIC|g' configure
%endif

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT%{_libdir}/libpcap.a

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license LICENSE
%doc README.md CHANGES CREDITS
%{_libdir}/libpcap.so.*
%{_libdir}/pkgconfig/libpcap.pc
%{_mandir}/man7/pcap*.7*

%files devel
%{_bindir}/pcap-config
%{_includedir}/pcap*.h
%{_includedir}/pcap
%{_libdir}/libpcap.so
%{_mandir}/man1/pcap-config.1*
%{_mandir}/man3/pcap*.3*
%{_mandir}/man5/pcap*.5*

%changelog
* Fri Nov 09 2018 Aron Silverton <aron.silverton@oracle.com> - 14:1.9.0-1.0.4
- BUILDINFO: commit=3a5a1d42cef76e0fc77d47ce87852efe11afa5e0
- spec: Change "vos" to "ora" and update summaries and descriptions [Orabug: 29128747]

* Thu Nov 01 2018 Aron Silverton <aron.silverton@oracle.com> - 14:1.9.0-1.0.3
- Rebuild for libibverbs ABI changes [Orabug: 28144657]

* Thu Aug 30 2018 Aron Silverton <aron.silverton@oracle.com> - 14:1.9.0-1.0.2
- Add "vos" to RPM release number (Aron Silverton) [Orabug 28550856]

* Mon Jul 23 2018 Aron Silverton <aron.silverton@oracle.com> - 14:1.9.0-1.0.1
- Add and adjust spec file (Aron Silverton) [Orabug: 27502205]
- This build is against Oracle's custom libibverbs-devel (rdma-core-devel)
